/* NORMAL KEYS */
#define Tab             0x0009
#define Escape          0x001b
#define Enter           0x000d
#define BackSpace       0x0008
#define Up              0x4800
#define Down            0x5000
#define Left            0x4b00
#define Right           0x4d00
#define Insert          0x5200
#define Delete          0x5300
#define Home            0x4700
#define End             0x4f00
#define PgUp            0x4900
#define PgDn            0x5100
#define F1              0x3b00
#define F2              0x3c00
#define F3              0x3d00
#define F4              0x3e00
#define F5              0x3f00
#define F6              0x4000
#define F7              0x4100
#define F8              0x4200
#define F9              0x4300
#define F10             0x4400
#define F11             0x8500
#define F12             0x8600

/* SHIFTED KEYS */
#define ShiftTab        0x0f00
#define ShiftF1         0x5400
#define ShiftF2         0x5500
#define ShiftF3         0x5600
#define ShiftF4         0x5700
#define ShiftF5         0x5800
#define ShiftF6         0x5900
#define ShiftF7         0x5a00
#define ShiftF8         0x5b00
#define ShiftF9         0x5c00
#define ShiftF10        0x5d00
#define ShiftF11        0x8700
#define ShiftF12        0x8800

/* CONTROL KEYS */
#define CtrlTab         0x9400
#define CtrlEnter       0x000a
#define CtrlBackSp      0x007f
#define CtrlUp          0x8d00
#define CtrlDown        0x9100
#define CtrlLeft        0x7300
#define CtrlRight       0x7400
#define CtrlInsert      0x9200
#define CtrlDelete      0x9300
#define CtrlHome        0x7700
#define CtrlEnd         0x7500
#define CtrlPgUp        0x8400
#define CtrlPgDn        0x7600
#define CtrlF1          0x5e00
#define CtrlF2          0x5f00
#define CtrlF3          0x6000
#define CtrlF4          0x6100
#define CtrlF5          0x6200
#define CtrlF6          0x6300
#define CtrlF7          0x6400
#define CtrlF8          0x6500
#define CtrlF9          0x6600
#define CtrlF10         0x6700
#define CtrlF11         0x8900
#define CtrlF12         0x8a00
#define Ctrl2           0x0300
#define Ctrl6           0x001e
#define CtrlMinus       0x001f
#define CtrlBackSlash   0x001c
#define CtrlLBracket    0x001b
#define CtrlRBracket    0x001d
#define Ctrl5KP         0x8f00
#define CtrlPlusKP      0x9000
#define CtrlMinusKP     0x8e00
#define CtrlStarKP      0x9600
#define CtrlSlashKP     0x9500
#define CtrlA           0x0001
#define CtrlB           0x0002
#define CtrlC           0x0003
#define CtrlD           0x0004
#define CtrlE           0x0005
#define CtrlF           0x0006
#define CtrlG           0x0007
#define CtrlH           0x0008
#define CtrlI           0x0009
#define CtrlJ           0x000a
#define CtrlK           0x000b
#define CtrlL           0x000c
#define CtrlM           0x000d
#define CtrlN           0x000e
#define CtrlO           0x000f
#define CtrlP           0x0010
#define CtrlQ           0x0011
#define CtrlR           0x0012
#define CtrlS           0x0013
#define CtrlT           0x0014
#define CtrlU           0x0015
#define CtrlV           0x0016
#define CtrlW           0x0017
#define CtrlX           0x0018
#define CtrlY           0x0019
#define CtrlZ           0x001a

/* ALT KEYS */
#define AltTab          0xaf00
#define AltEnter        0x1c00
#define AltEnterKP      0xa600
#define AltBackSp       0x0e00
#define AltUp           0x9800
#define AltDown         0xa000
#define AltLeft         0x9b00
#define AltRight        0x9d00
#define AltInsert       0xa200
#define AltDelete       0xa300
#define AltHome         0x9700
#define AltEnd          0x9f00
#define AltPgUp         0x9900
#define AltPgDn         0xa100
#define AltF1           0x6800
#define AltF2           0x6900
#define AltF3           0x6a00
#define AltF4           0x6b00
#define AltF5           0x6c00
#define AltF6           0x6d00
#define AltF7           0x6e00
#define AltF8           0x6f00
#define AltF9           0x7000
#define AltF10          0x7100
#define AltF11          0x8b00
#define AltF12          0x8c00
#define Alt1            0x7800
#define Alt2            0x7900
#define Alt3            0x7a00
#define Alt4            0x7b00
#define Alt5            0x7c00
#define Alt6            0x7d00
#define Alt7            0x7e00
#define Alt8            0x7f00
#define Alt9            0x8000
#define Alt0            0x8100
#define AltMinus        0x8200
#define AltEquals       0x8300
#define Alt5KP          0x4c00
#define AltPlusKP       0x4e00
#define AltMinusKP      0x4a00
#define AltStarKP       0x3700
#define AltSlashKP      0xa400
#define AltTilde        0x2900
#define AltComma        0x3300
#define AltPeriod       0x3400
#define AltSlash        0x3500
#define AltSemiColon    0x2700
#define AltQuote        0x2800
#define AltLBracket     0x1a00
#define AltRBracket     0x1b00
#define AltBackSlash    0x2b00
#define AltA            0x1e00
#define AltB            0x3000
#define AltC            0x2e00
#define AltD            0x2000
#define AltE            0x1200
#define AltF            0x2100
#define AltG            0x2200
#define AltH            0x2300
#define AltI            0x1700
#define AltJ            0x2400
#define AltK            0x2500
#define AltL            0x2600
#define AltM            0x3200
#define AltN            0x3100
#define AltO            0x1800
#define AltP            0x1900
#define AltQ            0x1000
#define AltR            0x1300
#define AltS            0x1f00
#define AltT            0x1400
#define AltU            0x1600
#define AltV            0x2f00
#define AltW            0x1100
#define AltX            0x2d00
#define AltY            0x1500
#define AltZ            0x2c00
